Summary
Save a Generated Form
Description
Save a generated form with its data.
Route
POST /formbuilder/saveForm
Roles
admin
apiwrite
Parameters
DetailsExampleSchema
| Name |
Type |
Required |
Description |
| formData |
object |
yes |
Form data to be saved. |
Copied to Clipboard
{
"formData": {
"name": "Form 123",
"children": [
{
"type": "field",
"name": "ipaddress",
"properties": {
"type": "string",
"prefix": ""
},
"description": "IP address",
"element": "{\"type\":\"method\",\"id\":{\"name\":\"method_name_1\"}}",
"source_type": "method",
"source": "method_name_1",
"id": "a40044c2-f378-4b2b-a81a-41d78979e583",
"yangkey": "",
"key": "method_name_1.ipAddress"
},
{
"type": "field",
"name": "ipaddress",
"properties": {
"type": "string",
"prefix": ""
},
"description": "IP address",
"element": "{\"type\":\"method\",\"id\":{\"name\":\"method_name_1\"}}",
"source_type": "method",
"source": "method_name_1",
"id": "a40044c2-f378-4b2b-a81a-41d78979e583",
"yangkey": "",
"key": "method_name_1.ipAddress"
},
{
"type": "field",
"name": "ipaddress",
"properties": {
"type": "string",
"prefix": ""
},
"description": "IP address",
"element": "{\"type\":\"method\",\"id\":{\"name\":\"method_name_1\"}}",
"source_type": "method",
"source": "method_name_1",
"id": "a40044c2-f378-4b2b-a81a-41d78979e583",
"yangkey": "",
"key": "method_name_1.ipAddress"
},
{
"type": "field",
"name": "ipaddress",
"properties": {
"type": "string",
"prefix": ""
},
"description": "IP address",
"element": "{\"type\":\"method\",\"id\":{\"name\":\"method_name_1\"}}",
"source_type": "method",
"source": "method_name_1",
"id": "a40044c2-f378-4b2b-a81a-41d78979e583",
"yangkey": "",
"key": "method_name_1.ipAddress"
}
],
"elements": [
{
"type": "method",
"id": {
"name": "method_name_1"
}
}
],
"_id": "4d1b66c7-8c20-bcfb-e16d-688f82db2bc7",
"groups": [
"914de1df109adf232221ebb5",
"989c59f3461921df81b189df"
],
"created": "1950-10-18T22:02:57.435Z",
"created_by": "f5f1f49e65e519d198f7ec9c",
"last_updated": "1967-04-14T17:13:27.581Z",
"last_updated_by": "688fa8145a5a901be53ce0bd"
}
}
Copied to Clipboard
{
"type": "object",
"properties": {
"formData": {
"title": "formData",
"$ref": "formDocument"
}
},
"required": [
"formData"
],
"additionalProperties": false
}
Return
DetailsExampleSchema
| Name |
Type |
Description |
| reply |
object |
Status of save form |
Copied to Clipboard
{
"name": "Form 123",
"children": [
{
"type": "field",
"name": "ipaddress",
"properties": {
"type": "string",
"prefix": ""
},
"description": "IP address",
"element": "{\"type\":\"method\",\"id\":{\"name\":\"method_name_1\"}}",
"source_type": "method",
"source": "method_name_1",
"id": "a40044c2-f378-4b2b-a81a-41d78979e583",
"yangkey": "",
"key": "method_name_1.ipAddress"
},
{
"type": "field",
"name": "ipaddress",
"properties": {
"type": "string",
"prefix": ""
},
"description": "IP address",
"element": "{\"type\":\"method\",\"id\":{\"name\":\"method_name_1\"}}",
"source_type": "method",
"source": "method_name_1",
"id": "a40044c2-f378-4b2b-a81a-41d78979e583",
"yangkey": "",
"key": "method_name_1.ipAddress"
},
{
"type": "field",
"name": "ipaddress",
"properties": {
"type": "string",
"prefix": ""
},
"description": "IP address",
"element": "{\"type\":\"method\",\"id\":{\"name\":\"method_name_1\"}}",
"source_type": "method",
"source": "method_name_1",
"id": "a40044c2-f378-4b2b-a81a-41d78979e583",
"yangkey": "",
"key": "method_name_1.ipAddress"
},
{
"type": "field",
"name": "ipaddress",
"properties": {
"type": "string",
"prefix": ""
},
"description": "IP address",
"element": "{\"type\":\"method\",\"id\":{\"name\":\"method_name_1\"}}",
"source_type": "method",
"source": "method_name_1",
"id": "a40044c2-f378-4b2b-a81a-41d78979e583",
"yangkey": "",
"key": "method_name_1.ipAddress"
},
{
"type": "field",
"name": "ipaddress",
"properties": {
"type": "string",
"prefix": ""
},
"description": "IP address",
"element": "{\"type\":\"method\",\"id\":{\"name\":\"method_name_1\"}}",
"source_type": "method",
"source": "method_name_1",
"id": "a40044c2-f378-4b2b-a81a-41d78979e583",
"yangkey": "",
"key": "method_name_1.ipAddress"
}
],
"elements": [
{
"type": "method",
"id": {
"name": "method_name_1"
}
}
],
"_id": "4b7254ed-c69a-1d91-bee8-39ee15fab7d6",
"groups": [
"1ba9a4217e7212a928ef8b74",
"f361f30a7f53763692b1a7e7",
"f1ae366ba0c0d6363789b3b8",
"99f8aff530d2a1d07598b260"
],
"created": "1969-02-21T13:41:34.258Z",
"created_by": "d8b6674b7819c1673577f8d0",
"last_updated": "1976-07-26T02:56:57.15Z",
"last_updated_by": "667207b9b76cc3c5f56b1200"
}